"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _execa = _interopRequireDefault(require("execa"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function runTest(args) {
  return (0, _execa.default)('react-scripts', ['test', '--color', ...args], {
    env: { ...process.env,
      SKIP_PREFLIGHT_CHECK: true
    },
    stdio: [process.stdin, process.stdout, process.stderr]
  });
}
/* istanbul ignore next line */


if (require.main === module) {
  runTest(process.argv.slice(2)) // eslint-disable-next-line promise/prefer-await-to-callbacks
  .catch(err => process.exit(err.code || 1));
}

var _default = (...args) => runTest(args);

exports.default = _default;
//# sourceMappingURL=react-node-scripts-test.js.map