#!/usr/bin/env node
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _commander = require("commander");

var _updateNotifier = _interopRequireDefault(require("update-notifier"));

var _package = _interopRequireDefault(require("../package"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const reactNodeScripts = args => new _commander.Command().version(_package.default.version).command('build', 'builds the app').command('start', 'starts the app').command('test', 'tests using `react-scripts test`').parse(args);
/* istanbul ignore next line */


if (require.main === module) {
  (0, _updateNotifier.default)({
    pkg: _package.default
  }).notify();
  reactNodeScripts(process.argv);
}

var _default = (...args) => reactNodeScripts([process.argv[0], __filename, ...args]);

exports.default = _default;
//# sourceMappingURL=react-node-scripts.js.map